/*
	
	HelloWorld.cpp
	
	Copyright 1995 Be Incorporated, All Rights Reserved.
	
*/

#ifndef HELLO_WINDOW_H
#include "HelloWindow.h"
#endif
#ifndef HELLO_VIEW_H
#include "HelloView.h"
#endif
#ifndef HELLO_WORLD_H
#include "HelloWorld.h"
#endif

main()
{	
	HelloApplication *myApplication;

	myApplication = new HelloApplication();
	myApplication->Run();
	
	delete(myApplication);
	return(0);
}

HelloApplication::HelloApplication()
		  		  : DFApplication('HLWD')
{
	HelloWindow		*aWindow, *anotherWindow;
	HelloView		*aView, *anotherView;
	BRect			aRect;

	// set up a rectangle and instantiate a new window
	aRect.Set(20, 20, 200, 60);
	aWindow = new HelloWindow(aRect);
	
	// set up a rectangle and instantiate a new view
	// view rect should be same size as window rect but with left top at (0, 0)
	aRect.OffsetTo(B_ORIGIN);
	aView = new HelloView(aRect, "HelloView");
	
	// add view to window
	aWindow->AddChild(aView);
	
	// make window visible
	aWindow->Show();
	
	// same for another window
	aRect.OffsetBy(50, 50);
	anotherWindow = new HelloWindow(aRect);
	aRect.OffsetTo(B_ORIGIN);
	anotherView = new HelloView(aRect, "HelloAgain");
	anotherWindow->AddChild(anotherView);
	anotherWindow->Show();
}
